The Item Wise Tax Detail object
Attributes
Unique identifier for the object.
{
"id": "item-wise-tax-detail_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"item_row": "item_row_example",
"tax_row": "tax_row_example",
"rate": 0,
"amount": 0,
"taxable_amount": 0
} /api/accounts/item-wise-tax-detail?parent_id={id} List item wise tax details by parent
Returns all item wise tax details belonging to the specified parent.
Query parameters
The ID of the parent to list children for.
Returns
A list of item wise tax detail objects belonging to the parent.
curl https://api.overplane.dev/api/accounts/item-wise-tax-detail?parent_id=parent_abc123 \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "item-wise-tax-detail_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"item_row": "item_row_example",
"tax_row": "tax_row_example",
"rate": 0,
"amount": 0,
"taxable_amount": 0
}
],
"has_more": false,
"total": 1
} /api/accounts/item-wise-tax-detail Create a item wise tax detail
Creates a new item wise tax detail object.
Body parameters
Returns
Returns the newly created item wise tax detail object if the call succeeded.
curl https://api.overplane.dev/api/accounts/item-wise-tax-detail \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"parent_id":null,"parent_type":"parent_type_example","item_row":"item_row_example","tax_row":"tax_row_example"}' {
"id": "item-wise-tax-detail_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"item_row": "item_row_example",
"tax_row": "tax_row_example",
"rate": 0,
"amount": 0,
"taxable_amount": 0
} /api/accounts/item-wise-tax-detail/{id} Update a item wise tax detail
Updates the specified item wise tax detail by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the item wise tax detail to update.
Body parameters
Returns
Returns the updated item wise tax detail object.
curl https://api.overplane.dev/api/accounts/item-wise-tax-detail/item-wise-tax-detail_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"idx":1,"parent_id":null}' {
"id": "item-wise-tax-detail_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"item_row": "item_row_example",
"tax_row": "tax_row_example",
"rate": 0,
"amount": 0,
"taxable_amount": 0
} /api/accounts/item-wise-tax-detail/{id} Delete a item wise tax detail
Permanently deletes a item wise tax detail. This cannot be undone.
Path parameters
The identifier of the item wise tax detail to delete.
Returns
Returns a confirmation that the item wise tax detail has been deleted.
curl https://api.overplane.dev/api/accounts/item-wise-tax-detail/item-wise-tax-detail_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "item-wise-tax-detail_abc123",
"deleted": true
} /api/accounts/item-wise-tax-detail/reorder Reorder item wise tax details
Updates the sort order of item wise tax details within their parent by setting new index values.
Returns
Returns the reordered list.
curl https://api.overplane.dev/api/accounts/item-wise-tax-detail/reorder \
-H "Authorization: Bearer sk_test_..." \
-X POST {
"id": "item-wise-tax-detail_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"item_row": "item_row_example",
"tax_row": "tax_row_example",
"rate": 0,
"amount": 0,
"taxable_amount": 0
}